﻿@model SOPS_Lab1.Models.CritterViewModel
@{
    ViewData["Title"] = "Home Page";
}

<div class="text-center">
    <h1 class="display-4">Welcome</h1>
    <p>Learn about <a href="https://docs.microsoft.com/aspnet/core">building Web apps with ASP.NET Core</a>.</p>
    <p>Hello, world!!! The time on the server is @DateTime.Now</p>
</div>

<form asp-controller="Home" asp-action="Index" method="get">
    <p>
        Position:
        <select asp-for="Position" asp-items="Model.Positions">
            <option value="">All</option>
        </select>
        From:
        <select asp-for="YearFrom" asp-items="Model.BirthdayYears">
            <option value="">Any</option>
        </select>
        To:
        <select asp-for="YearTo" asp-items="Model.BirthdayYears">
            <option value="">Any</option>
            <span asp-validation-for="YearTo" class="text-danger"></span>
        </select>
        First Name: <input type="text" asp-for="SearchString"/>
        <input type="submit" value="Filter"/>
    </p>
</form>

<table class="table">
    <thead>
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.Critters[0].FirstName)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Critters[0].LastName)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Critters[0].Position)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Critters[0].Birthday)
        </th>
        <th></th>
    </tr>
    </thead>
    <tbody>
    @foreach (var critter in Model.Critters)
    {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => critter.FirstName)
            </td>
            <td>
                @Html.DisplayFor(modelItem => critter.LastName)
            </td>
            <td>
                @Html.DisplayFor(modelItem => critter.Position)
            </td>
            <td>
                @Html.DisplayFor(modelItem => critter.Birthday)
            </td>
            <td>
                <a asp-action="Edit" asp-route-playerId="@critter.PlayerId">Edit</a>
            </td>
        </tr>
    }
    </tbody>
</table>


@section Scripts {
    @{ await Html.RenderPartialAsync("_ValidationScriptsPartial"); }
}